(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.LineDrawer = void 0;
    class LineDrawer {
        draw(context, particle, radius) {
            const shapeData = particle.shapeData;
            context.moveTo(-radius / 2, 0);
            context.lineTo(radius / 2, 0);
            context.lineCap = shapeData?.cap ?? "butt";
        }
        getSidesCount() {
            return 1;
        }
    }
    exports.LineDrawer = LineDrawer;
});
